# Class TestNames.Builder

java.lang.Object
com.ryanharter.auto.value.gson.example.TestNames.Builder

Enclosing class:
  `TestNames`

public abstract static class TestNames.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`abstract TestNames.Builder`
`_lowerCamelLeadingUnderscore(int _lowerCamelLeadingUnderscore)`
`abstract TestNames.Builder`
`_UpperCamelLeadingUnderscore(int _UpperCamelLeadingUnderscore)`
`abstract TestNames.Builder`
`annotated(int annotated)`
`abstract TestNames`
`build()`
`abstract TestNames.Builder`
`lower_words(int lower_words)`
`abstract TestNames.Builder`
`lowerCamel(int lowerCamel)`
`abstract TestNames.Builder`
`lowerId(int lowerId)`
`abstract TestNames.Builder`
`UPPER_WORDS(int UPPER_WORDS)`
`abstract TestNames.Builder`
`UpperCamel(int UpperCamel)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### lowerCamel

public abstract TestNames.Builder lowerCamel(int lowerCamel)

### UpperCamel

public abstract TestNames.Builder UpperCamel(int UpperCamel)

### _lowerCamelLeadingUnderscore

public abstract TestNames.Builder _lowerCamelLeadingUnderscore(int _lowerCamelLeadingUnderscore)

### _UpperCamelLeadingUnderscore

public abstract TestNames.Builder _UpperCamelLeadingUnderscore(int _UpperCamelLeadingUnderscore)

### lower_words

public abstract TestNames.Builder lower_words(int lower_words)

### UPPER_WORDS

public abstract TestNames.Builder UPPER_WORDS(int UPPER_WORDS)

### annotated

@SerializedName("annotatedName") public abstract TestNames.Builder annotated(int annotated)

### lowerId

public abstract TestNames.Builder lowerId(int lowerId)

### build

public abstract TestNames build()